Bug 921305 - Review Request: python-wsme - Web Services Made Easy
Summary: Review Request: python-wsme - Web Services Made Easy
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 956433
TreeView+ depends on / blocked
 
Reported: 2013-03-14 00:22 UTC by Pádraig Brady
Modified: 2013-05-02 03:52 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-28 03:48:45 UTC
kchamart: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pádraig Brady 2013-03-14 00:22:21 UTC
Spec URL: http://fedorapeople.org/~pbrady/ceilometer/python-wsme.spec
SRPM URL: http://fedorapeople.org/~pbrady/ceilometer/python-wsme-0.5b1-1.fc18.src.rpm
Description: Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.
Fedora Account System Username: pbrady

Comment 1 Kashyap Chamarthy 2013-03-14 05:51:40 UTC
Initial review from fedora-review tool. More to follow with manaul review details.

kashyap@python-wsme$ cat review.txt 

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/kashyap/rpmbuild/SRPMS/python-wsme/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 10 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-wsme-0.5b1-1.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-wsme
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-wsme (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-wsme:
    python-wsme



MD5-sum check
-------------
http://pypi.python.org/packages/source/W/WSME/WSME-0.5b1.tar.gz :
  CHECKSUM(SHA256) this package     : 6f093bcc98e40a1238eb10b83b4e101682670dd1b4f77064ae7fb1d69060a554
  CHECKSUM(SHA256) upstream package : 6f093bcc98e40a1238eb10b83b4e101682670dd1b4f77064ae7fb1d69060a554


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review --rpm-spec -n python-wsme-0.5b1-1.fc18.src.rpm

Comment 2 Kashyap Chamarthy 2013-03-14 07:30:24 UTC
Scratch build successful:

kashyap@python-wsme$ koji build --scratch f19 ../python-wsme-0.5b1-1.fc18.src.rpm 
Uploading srpm: ../python-wsme-0.5b1-1.fc18.src.rpm
[====================================] 100% 00:00:02  48.38 KiB  23.56 KiB/sec
Created task: 5119963
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5119963
Watching tasks (this may be safely interrupted)...
5119963 build (f19, python-wsme-0.5b1-1.fc18.src.rpm): open (buildvm-10.phx2.fedoraproject.org)
  5119966 buildArch (python-wsme-0.5b1-1.fc18.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org)
  5119966 buildArch (python-wsme-0.5b1-1.fc18.src.rpm, noarch): open (buildvm-19.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
5119963 build (f19, python-wsme-0.5b1-1.fc18.src.rpm): open (buildvm-10.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

5119963 build (f19, python-wsme-0.5b1-1.fc18.src.rpm) completed successfully

Comment 3 Kashyap Chamarthy 2013-03-14 09:18:27 UTC
Manual review.  Also, added some notes below where appropriate.


===== MUST items manual review =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- MIT
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/kashyap/rpmbuild/SRPMS/python-wsme/licensecheck.txt

This can be ignored.
-------------------------
$ cat licensecheck.txt 

Unknown or generated
--------------------
/var/lib/mock/fedora-18-x86_64/root/builddir/build/BUILD/WSME-0.5b1/wsmeext/__init__.py
-------------------------

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 10 files.

The above can be waived, rpmlint doesn't complain about it
-------------------------
kashyap@python-wsme$ du -sh rpms-unpacked/python-wsme-0.5b1-1.fc18.noarch.rpm/usr/share/doc/
64K	rpms-unpacked/python-wsme-0.5b1-1.fc18.noarch.rpm/usr/share/doc/
-------------------------


Python:
[x ]: Python eggs must not download any dependencies during the build process.


[x]: A package which is used by another package via an egg interface should
     provide egg info.

NOTE: Since, I'm not a python expert, nor 'eggs', I took an opinion of another experienced Fedora package reviewer (paragn), and we examined build.log from the scratch build above to ensure everything is sane. It is.

Info from build.log  (adding here for reference, as scratch builds will be deleted after a few days)
-------------------------
.
.
running install_egg_info
running egg_info
creating WSME.egg-info
writing requirements to WSME.egg-info/requires.txt
writing WSME.egg-info/PKG-INFO
writing top-level names to WSME.egg-info/top_level.txt
writing dependency_links to WSME.egg-info/dependency_links.txt
writing entry points to WSME.egg-info/entry_points.txt
writing manifest file 'WSME.egg-info/SOURCES.txt'
reading manifest file 'WSME.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
writing manifest file 'WSME.egg-info/SOURCES.txt'
-------------------------


===== SHOULD items manual review =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.


So, everything looks good to me.

Comment 4 Kashyap Chamarthy 2013-03-14 09:22:28 UTC
Confirmed with Pádraig, the build will fail if anything needs to be downloaded.

So, everything looks good. Package approved.

Comment 5 Pádraig Brady 2013-03-14 14:17:08 UTC
New Package SCM Request
=======================
Package Name: python-wsme
Short Description: Web Services Made Easy
Owners: pbrady
Branches: f17 f18 f19 el6
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-14 14:37:04 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-03-14 16:21:39 UTC
python-wsme-0.5b1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-wsme-0.5b1-1.fc18

Comment 8 Fedora Update System 2013-03-24 22:54:49 UTC
python-wsme-0.5b1-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 9 Fedora Update System 2013-04-23 12:08:54 UTC
python-wsme-0.5b2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-wsme-0.5b2-1.fc17

Comment 10 Fedora Update System 2013-04-23 12:10:39 UTC
python-wsme-0.5b2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-wsme-0.5b2-1.fc19

Comment 11 Fedora Update System 2013-04-23 12:11:28 UTC
python-wsme-0.5b2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-wsme-0.5b2-1.el6

Comment 12 Fedora Update System 2013-04-23 16:47:32 UTC
python-wsme-0.5b2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 13 Fedora Update System 2013-04-28 03:48:48 UTC
python-wsme-0.5b2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Fedora Update System 2013-05-02 03:52:23 UTC
python-wsme-0.5b2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.